#!/bin/bash
set -e
set -x

if [ "$1" = 'ameinias' ]; then
    if [ ! -e /adata/ameinias.db ] ; then
	cp /usr/local/ameinias/template/ameinias.db /adata/.
    fi

    if [ ! -e /adata/audio-fifo ] ; then
	mkfifo /adata/audio-fifo
    fi

    if [ ! -e /adata/icecast.xml ] ; then
	cp /usr/local/ameinias/template/icecast.xml /adata/.
    fi

    if [ ! -e /adata/ices2.xml ] ; then
	cp /usr/local/ameinias/template/ices2.xml /adata/.
    fi

    cd /usr/local/ameinias
    exec /usr/bin/java \
	-cp 'ameinias.jar:lib/*' \
	-Dlog4j.configuration=file:log4j.properties \
	byteheaven.tamjb.Server.Main \
        docker/ameinias.properties
fi

exec "$@"
